Bug 22564 - accounttype 'Rep' is still referred to but is never set
Summary: accounttype 'Rep' is still referred to but is never set
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 22521
Blocks: 22737 22511
  Show dependency treegraph
 
Reported: 2019-03-22 15:42 UTC by Martin Renvoize
Modified: 2019-04-26 14:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22564: Remove references to 'Rep' accounttype (1.49 KB, patch)
2019-03-22 16:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.55 KB, patch)
2019-03-27 10:23 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.49 KB, patch)
2019-03-29 12:43 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add database update 'just in case' (1.29 KB, patch)
2019-03-29 12:43 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.49 KB, patch)
2019-03-29 13:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add database update 'just in case' (1.29 KB, patch)
2019-03-29 13:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add UI handling for 'Replaced' (1.63 KB, patch)
2019-03-29 13:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.49 KB, patch)
2019-04-09 16:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add database update 'just in case' (1.29 KB, patch)
2019-04-09 16:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add UI handling for 'Replaced' (1.63 KB, patch)
2019-04-09 16:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.49 KB, patch)
2019-04-11 18:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add database update 'just in case' (1.29 KB, patch)
2019-04-11 18:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add UI handling for 'Replaced' (1.63 KB, patch)
2019-04-11 18:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.55 KB, patch)
2019-04-12 08:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add database update 'just in case' (1.34 KB, patch)
2019-04-12 08:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add UI handling for 'Replaced' (1.69 KB, patch)
2019-04-12 08:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.55 KB, patch)
2019-04-17 18:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add database update 'just in case' (1.34 KB, patch)
2019-04-17 18:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Add UI handling for 'Replaced' (1.69 KB, patch)
2019-04-17 18:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22564: Remove references to 'Rep' accounttype (1.64 KB, patch)
2019-04-19 09:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22564: Add database update 'just in case' (1.44 KB, patch)
2019-04-19 09:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22564: Add UI handling for 'Replaced' (1.78 KB, patch)
2019-04-19 09:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22564: (QA follow-up) Correct copy-paste message (1.01 KB, patch)
2019-04-19 09:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-03-22 15:42:41 UTC
The 'Rep' accounttype has not been set in Koha for some time and it should now be safe to remove all references to it.

History: 'Rep' used to mean 'Replaced' and at some point may have been used to denote when a lost book had been replaced.
Comment 1 Martin Renvoize 2019-03-22 16:48:24 UTC
Created attachment 86922 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Josef Moravec 2019-03-27 10:23:51 UTC
Created attachment 87052 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2019-03-29 10:34:05 UTC
Add a db rev just like the other report? Report changed number ?
Comment 4 Martin Renvoize 2019-03-29 12:43:45 UTC
Created attachment 87194 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-03-29 12:43:48 UTC
Created attachment 87195 [details] [review]
Bug 22564: Add database update 'just in case'

With the introduction of the 'status' field it's a clear oportunity to
convert any last remaining instances of 'Rep' to 'L' + 'REPLACED'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-03-29 13:40:06 UTC
Created attachment 87205 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-03-29 13:40:10 UTC
Created attachment 87206 [details] [review]
Bug 22564: Add database update 'just in case'

With the introduction of the 'status' field it's a clear oportunity to
convert any last remaining instances of 'Rep' to 'L' + 'REPLACED'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2019-03-29 13:40:13 UTC
Created attachment 87207 [details] [review]
Bug 22564: Add UI handling for 'Replaced'
Comment 9 Martin Renvoize 2019-03-29 13:41:27 UTC
Back to signed off.. I've added the requested DB update (and also added some UI display just in case it actually picks any up).. Might be a useful 'status' in the future anyway.
Comment 10 Martin Renvoize 2019-04-09 16:25:26 UTC
Created attachment 87629 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2019-04-09 16:25:29 UTC
Created attachment 87630 [details] [review]
Bug 22564: Add database update 'just in case'

With the introduction of the 'status' field it's a clear oportunity to
convert any last remaining instances of 'Rep' to 'L' + 'REPLACED'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Martin Renvoize 2019-04-09 16:25:31 UTC
Created attachment 87631 [details] [review]
Bug 22564: Add UI handling for 'Replaced'
Comment 13 Martin Renvoize 2019-04-09 16:25:52 UTC
Freshly re-based and ready for QA
Comment 14 Martin Renvoize 2019-04-11 18:41:09 UTC
Created attachment 87793 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2019-04-11 18:41:12 UTC
Created attachment 87794 [details] [review]
Bug 22564: Add database update 'just in case'

With the introduction of the 'status' field it's a clear oportunity to
convert any last remaining instances of 'Rep' to 'L' + 'REPLACED'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2019-04-11 18:41:14 UTC
Created attachment 87795 [details] [review]
Bug 22564: Add UI handling for 'Replaced'
Comment 17 Martin Renvoize 2019-04-11 18:41:29 UTC
Freshly rebased
Comment 18 Marcel de Rooy 2019-04-12 05:41:56 UTC
Dependency does not apply
Comment 19 Martin Renvoize 2019-04-12 08:49:33 UTC
Created attachment 87866 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 20 Martin Renvoize 2019-04-12 08:49:35 UTC
Created attachment 87867 [details] [review]
Bug 22564: Add database update 'just in case'

With the introduction of the 'status' field it's a clear oportunity to
convert any last remaining instances of 'Rep' to 'L' + 'REPLACED'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 21 Martin Renvoize 2019-04-12 08:49:38 UTC
Created attachment 87868 [details] [review]
Bug 22564: Add UI handling for 'Replaced'

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 22 Martin Renvoize 2019-04-17 18:10:32 UTC
Created attachment 88219 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 23 Martin Renvoize 2019-04-17 18:10:35 UTC
Created attachment 88220 [details] [review]
Bug 22564: Add database update 'just in case'

With the introduction of the 'status' field it's a clear oportunity to
convert any last remaining instances of 'Rep' to 'L' + 'REPLACED'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 24 Martin Renvoize 2019-04-17 18:10:37 UTC
Created attachment 88221 [details] [review]
Bug 22564: Add UI handling for 'Replaced'

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 25 Martin Renvoize 2019-04-17 18:12:02 UTC
Dependencies now in master and patches freshly rebased here.
Comment 26 Katrin Fischer 2019-04-17 20:27:22 UTC
The patch description says that Rep is not used, but it's not removed here either. Is there a way to set it or a plan to bring it back?

Again, setting Failed QA to get attention, reads well :)
Comment 27 Martin Renvoize 2019-04-18 10:36:37 UTC
So.. My understanding of the original feature was that 'Rep' was a form of 'Credit' which wrote off a replacement fee recording that the patron had brought in a new copy of the item themselves and given it to the library as apposed to paying the fee for the library to replace it.

I don't believe this has functioned fully in around 14 years (that's as far back as I went in the git logs)

I do think it's a nice thing to attempt to correct any left over data such that it will display correctly should there be any, but I don't think this bug should be held up by the requirement to re-implement that long broken process.

I sort of like the idea of re-visiting that process at some point however so this status could serve as a foundation for that.

Setting back to SO in the hopes we can move this one along and I'll add a bug describing the per-sieved workflow for the enhancement/restoration of the feature.
Comment 28 Marcel de Rooy 2019-04-19 09:55:21 UTC
Created attachment 88342 [details] [review]
Bug 22564: Remove references to 'Rep' accounttype

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 29 Marcel de Rooy 2019-04-19 09:55:26 UTC
Created attachment 88343 [details] [review]
Bug 22564: Add database update 'just in case'

With the introduction of the 'status' field it's a clear oportunity to
convert any last remaining instances of 'Rep' to 'L' + 'REPLACED'.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 30 Marcel de Rooy 2019-04-19 09:55:30 UTC
Created attachment 88344 [details] [review]
Bug 22564: Add UI handling for 'Replaced'

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 31 Marcel de Rooy 2019-04-19 09:55:34 UTC
Created attachment 88345 [details] [review]
Bug 22564: (QA follow-up) Correct copy-paste message

We should be replacing Rep here ;)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 32 Nick Clemens 2019-04-19 14:55:52 UTC
Awesome work all!

Pushed to master for 19.05
Comment 33 Martin Renvoize 2019-04-26 14:44:24 UTC
Enhancement will not be backported to 18.11.x series.